Subject: [manet] AB#3 (olsrv2-multitopology): Adding section for Metric Type

From: Abdussalam Baryun <[email-masked]>
Date: Fri, 19 Sep 2014 15:46:27 +0200

The draft depends on RFC7181 and is interoperable with RFC7181 routing.
Draft is different than RFC7181 as 7181 has only one metric type to route
data packets, but this draft can route data packets with more than one
metric type, as each packet routed in one topology. I recommend adding one
section for the metric type, and focus the content related of
metrics in draft into one section to show this specification restriction
for metric types clearly.

The RFC7181 metric types are link metric types that MUST be additive (this
can be one restriction but not mentioned in draft). In page 4, the draft
specifies a Boolean for metric type, but Boolean is not additive. How can
you add these true and false?

If this MT protocol allows other metric types than the additive, then state
that clearly in one section for metric. Otherwise delete it because it does
not follow additive types (if WG think I am wrong then I think you need to
explain it clearly in a separate section for metric and not in page
4, because the draft confuses this important element that is related/usedto
MT).

Regards,
AB

On Thursday, September 18, 2014, Abdussalam Baryun wrote:

>
> The draft depends on RFC7181, however, the draft does not define/restrict
> RFC7181 packets clearly. In RFC7181 section 13.2, it specifies what are the
> protocol packets. The protocol packets are having freedom to include all
> RFC5444 messages even for other protocols. In 7181 it mentions in section
> 13.2:
>
> {{{
>
> Messages with different originating routers MAY be combined for
> transmission within the same packet.  Messages from other protocols defined
> using [RFC5444], including but not limited to NHDP [RFC6130], MAY be
> combined for transmission within the same packet.
>
> }}}
>
> AB> For this protocol MT OLSRv2, it is reasonable to follow the
> edition way of RFC7181 and to having a subsection of packet and
> to describing the conditions for MT protocol in one clear section as did
> 7181 for non-MT protocol. So I suggest to add one section/subsection of
> packets for MT OLSRv2 and that describes restrictions/conditions
> of multitopology messages to be combined among topologies.
>
> AB
>
> --- past review input related below ---
>
> 1. http://www.ietf.org/mail-archive/web/manet/current/msg16890.html
> 2. http://www.ietf.org/mail-archive/web/manet/current/msg16892.html
> 3. http://www.ietf.org/mail-archive/web/manet/current/msg16895.html
> 4. http://www.ietf.org/mail-archive/web/manet/current/msg17009.html
>
>

---

From: Henning Rogge <[email-masked]>
Date: Fri, 19 Sep 2014 16:21:06 +0200

On Fri, Sep 19, 2014 at 3:46 PM, Abdussalam Baryun
<[email-masked]> wrote:
> section for the metric type, and focus the content related of metrics in
> draft into one section to show this specification restriction for metric
> types clearly.
>

I have just read section 4 of the current olsrv2 multitopology draft
and I cannot find anything that defines a boolean metric.

I would suggest you become more specific to the text you are referring to.

Henning Rogge

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Fri, 19 Sep 2014 15:36:07 +0000

There is a reference to  a boolean type, not metric type, on page 4. Correctly.

I would have to waste less time if I didn't have to respond to comments due to not reading what the document says.

-- 
Christopher Dearlove
Senior Principal Engineer, Information Assurance Group
Communications, Networks and Image Analysis Capability
BAE Systems Advanced Technology Centre
West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
Tel: +44 1245 242194 |  Fax: +44 1245 242124
[email-masked] | http://www.baesystems.com

BAE Systems (Operations) Limited
Registered Office: Warwick House, PO Box 87, Farnborough Aerospace Centre, Farnborough, Hants, GU14 6YU, UK
Registered in England & Wales No: 1996687

-----Original Message-----
From: manet [mailto:[email-masked]] On Behalf Of Henning Rogge
Sent: 19 September 2014 15:21
To: Abdussalam Baryun
Cc: [email-masked]; [email-masked]
Subject: Re: [manet] AB#3 (olsrv2-multitopology): Adding section for Metric Type

----------------------! WARNING ! ---------------------- This message originates from outside our organisation, either from an external partner or from the internet.
Consider carefully whether you should click on any links, open any attachments or reply.
Follow the 'Report Suspicious Emails' link on IT matters for instructions on reporting suspicious email messages.
--------------------------------------------------------

On Fri, Sep 19, 2014 at 3:46 PM, Abdussalam Baryun <[email-masked]> wrote:
> Draft is different than RFC7181 as 7181 has only one metric type to 
> route data packets, but this draft can route data packets with more 
> than one metric type, as each packet routed in one topology. I 
> recommend adding one section for the metric type, and focus the 
> content related of metrics in draft into one section to show this 
> specification restriction for metric types clearly.
>
> The RFC7181 metric types are link metric types that MUST be additive 
> (this can be one restriction but not mentioned in draft). In page 4, 
> the draft specifies a Boolean for metric type, but Boolean is not 
> additive. How can you add these true and false?

I have just read section 4 of the current olsrv2 multitopology draft and I cannot find anything that defines a boolean metric.

Henning Rogge

_______________________________________________
manet mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/manet

********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************

---

From: Abdussalam Baryun <[email-masked]>
Date: Fri, 19 Sep 2014 19:21:18 +0200

Ok, sorry it was not metric but a mapping to Boolean. The map function is
related to the metric type, so doing the section for metric type is
important. The main point of this thread is adding a section to avoid
confusion.

On Friday, September 19, 2014, Dearlove, Christopher (UK) wrote:

> I would have to waste less time if I didn't have to respond to comments
> due to not reading what the document says.

Each metric type needs to define the map, so that is a restriction for this
MT toward metrics.

AB

---

From: Christopher Dearlove <[email-masked]>
Date: Fri, 19 Sep 2014 18:46:02 +0100

No. Still wrong. MT-OLSRv2, like OLSRv2, doesn't need metric specific information. It needs to be told which metrics to use (and can ignore the rest) and needs to be given actual metric values. But those are inputs to it. There is no metric type map definition or anything like it.

Please, read and understand. However long that takes, please stop posting things that are wrong in the meanwhile. If you have a question, ask a question instead. Of course there could be errors, nobody's perfect, but so far  just yours.

On 19 Sep 2014, at 18:21, Abdussalam Baryun wrote:

> Ok, sorry it was not metric but a mapping to Boolean. The map function is related to the metric type, so doing the section for metric type is important. The main point of this thread is adding a section to avoid confusion. 
> 
> Each metric type needs to define the map, so that is a restriction for this MT toward metrics. 
> 
> 
> AB
> 
> 
>